The Spring Framework

## org.springframework.mock.web.portlet
Class MockPortalContext

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortalContext

All Implemented Interfaces:
  javax.portlet.PortalContext

    public class MockPortalContext

extends Object
implements javax.portlet.PortalContext

Mock implementation of the `PortalContext` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Constructor Summary
`MockPortalContext()` Create a new MockPortalContext with default PortletModes (VIEW, EDIT, HELP) and default WindowStates (NORMAL, MAXIMIZED, MINIMIZED).
`MockPortalContext(List supportedPortletModes, List supportedWindowStates)` Create a new MockPortalContext with the given PortletModes and WindowStates.

Method Summary
`String` `getPortalInfo()`
`String` `getProperty(String name)`
`Enumeration` `getPropertyNames()`
`Enumeration` `getSupportedPortletModes()`
`Enumeration` `getSupportedWindowStates()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockPortalContext

    public MockPortalContext()

  Create a new MockPortalContext with default PortletModes (VIEW, EDIT, HELP) and default WindowStates (NORMAL, MAXIMIZED, MINIMIZED).

  See Also:
    `PortletMode`, `WindowState`

### MockPortalContext

    public MockPortalContext(List supportedPortletModes,
                             List supportedWindowStates)

  Create a new MockPortalContext with the given PortletModes and WindowStates.

  Parameters:
    `supportedPortletModes` - the List of supported PortletMode instances
    `supportedWindowStates` - the List of supported WindowState instances
  See Also:
    `PortletMode`, `WindowState`

Method Detail

### getPortalInfo

    public String getPortalInfo()

  Specified by:
    `getPortalInfo` in interface `javax.portlet.PortalContext`

### getProperty

    public String getProperty(String name)

  Specified by:
    `getProperty` in interface `javax.portlet.PortalContext`

### getPropertyNames

    public Enumeration getPropertyNames()

  Specified by:
    `getPropertyNames` in interface `javax.portlet.PortalContext`

### getSupportedPortletModes

    public Enumeration getSupportedPortletModes()

  Specified by:
    `getSupportedPortletModes` in interface `javax.portlet.PortalContext`

### getSupportedWindowStates

    public Enumeration getSupportedWindowStates()

  Specified by:
    `getSupportedWindowStates` in interface `javax.portlet.PortalContext`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.